<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'BoardMessages'">
    </refreshable-panel-header>
    <refreshable-panel-content>
        <ul class="list-group">
            <li class="list-group-item" *ngFor="let message of messages">
                <p>
                    <strong> {{ "From" | localize }}: </strong>
                    {{ message.instructor.firstName + " " + message.instructor.lastName }}
                </p>
                <p class="well well-sm">
                    {{ message.text }}
                </p>
                <p *ngIf="message.uploadedFiles.length != 0">
                    <strong> {{ "Files" | localize }}: </strong>
                    <a *ngFor="let file of message.uploadedFiles" (click)="downloadFile(file)">
                        {{ file.fileName }}
                    </a>
                </p>
            </li>
        </ul>
    </refreshable-panel-content>
</refreshable-panel>
